Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::IntersectionResult Class Reference

交差結果 More...

`#include <IntersectionResult.h>`

List of all members.

## Public Member Functions
| IntersectionResult ()
| コンストラクタ
virtual | ~IntersectionResult ()
| デストラクタ
virtual void | clear ()
| クリア
virtual void | reverse ()
| 反転
virtual bool | isIntersected () const
| 交差しているか
virtual int | getCount () const
| 交差数の取得
virtual const Intersection & | get (int index) const
| 交差の取得
virtual Vector3 | getAveragePosition () const
| 交差位置の平均取得
virtual Vector3 | getAverageRefrection () const
| 反射の平均取得
virtual Vector3 | getMaxRefrection () const
| 最大の反射取得
virtual void | add (const Intersection &intersection)
| 交差の追加
virtual void | remove (int index)
| 交差の削除
virtual int | remove (const Intersection &intersection)
| 交差の削除

## Detailed Description

交差結果

Definition at line 37 of file IntersectionResult.h.

## Member Function Documentation

virtual void Lamp::IntersectionResult::add | ( | const Intersection & | intersection | ) | `[inline, virtual]`

  | 交差の追加 Parameters:
  intersection | 交差
Definition at line 139 of file IntersectionResult.h. References Lamp::ArrayList< Intersection >::add(). Referenced by Lamp::StaticSphereCollision::intersection(), and Lamp::DeformedMeshGeometry::intersectMesh().

virtual const Intersection& Lamp::IntersectionResult::get | ( | int | index | ) | const`[inline, virtual]`

  | 交差の取得 Parameters:
  index | インデックス
Returns: 交差 Definition at line 83 of file IntersectionResult.h. References Lamp::ArrayList< Intersection >::get(). Referenced by getAveragePosition(), getAverageRefrection(), and getMaxRefrection().

virtual Vector3 Lamp::IntersectionResult::getAveragePosition | ( |  | ) | const`[inline, virtual]`

| 交差位置の平均取得 Returns: 交差位置の平均 Definition at line 92 of file IntersectionResult.h. References Assert, get(), getCount(), Lamp::Intersection::getPosition(), and isIntersected().

virtual Vector3 Lamp::IntersectionResult::getAverageRefrection | ( |  | ) | const`[inline, virtual]`

| 反射の平均取得 Returns: 反射の平均 Definition at line 105 of file IntersectionResult.h. References get(), getCount(), Lamp::Intersection::getRefrection(), and isIntersected().

virtual int Lamp::IntersectionResult::getCount | ( |  | ) | const`[inline, virtual]`

| 交差数の取得 Returns: 交差数 Definition at line 76 of file IntersectionResult.h. References Lamp::ArrayList< Intersection >::getCount(). Referenced by getAveragePosition(), getAverageRefrection(), getMaxRefrection(), and reverse().

virtual Vector3 Lamp::IntersectionResult::getMaxRefrection | ( |  | ) | const`[inline, virtual]`

| 最大の反射取得 Returns: 最大の反射 Definition at line 118 of file IntersectionResult.h. References get(), getCount(), Lamp::Intersection::getRefrection(), Lamp::Vector3::getSquaredLength(), and isIntersected().

virtual bool Lamp::IntersectionResult::isIntersected | ( |  | ) | const`[inline, virtual]`

| 交差しているか Returns: 交差していればtrue Definition at line 67 of file IntersectionResult.h. References Lamp::ArrayList< Intersection >::getCount(). Referenced by getAveragePosition(), getAverageRefrection(), and getMaxRefrection().

virtual int Lamp::IntersectionResult::remove | ( | const Intersection & | intersection | ) | `[inline, virtual]`

  | 交差の削除 Parameters:
  intersection | 交差
Returns: 削除したインデックス。-1なら該当する要素無し。 Definition at line 154 of file IntersectionResult.h. References Lamp::ArrayList< Intersection >::removeByValue().

virtual void Lamp::IntersectionResult::remove | ( | int | index | ) | `[inline, virtual]`

  | 交差の削除 Parameters:
  index | インデックス
Definition at line 147 of file IntersectionResult.h. References Lamp::ArrayList< Intersection >::remove().

The documentation for this class was generated from the following file:

- IntersectionResult.h